/// <reference path="DialogueNode.ts" />
class DialogueSet extends DialogueNode {
    public type = NodeType.Set;
    private code : () => (void | Promise<void>);

    public setFunction (code : () => (void | Promise<void>)) {
        this.code = code;
    }

    public run () : void | Promise<void> {
        return this.code();
    }
}